Fetch Follow Status
curl --request GET \
--url https://api.replyke.com/api/v6/:projectId/users/:userId/follow \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replyke.com/api/v6/:projectId/users/:userId/follow"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replyke.com/api/v6/:projectId/users/:userId/follow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isFollowing": true,
"followId": {},
"followedAt": {}
}User Follow Operations
Fetch Follow Status
Check if current user follows the specified user
Fetch Follow Status
Check if the current user follows the specified user and get follow relationship details.
Path Parameters
string
required
ID of the user to check follow status with
Response
boolean
Whether the current user follows the specified user
string | null
ID of the follow relationship if it exists, null otherwise
string | null
Timestamp when the follow relationship was created, null if not following
Error Responses
Invalid User ID - 400 Bad Request
Invalid User ID - 400 Bad Request
{
"error": "Invalid userId",
"code": "follow/invalid-user-id"
}
Unauthorized - 401 Unauthorized
Unauthorized - 401 Unauthorized
{
"error": "Authentication required",
"code": "auth/unauthorized"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error",
"code": "follow/server-error"
}

